Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class PlanSizeCalculator

    java.lang.Object
      com.fujitsu.iflow.model.util.PlanSizeCalculator

public class PlanSizeCalculator
extends java.lang.Object

The `PlanSizeCalculator` calculates the amount of memory required by a process definition (`Plan` object) in bytes. The main elements considered for calculating the amount are:

- Process definition ID
- Process definition name
- Process definition title
- Process definition description
- Process definition owner
- Nodes
- Arrows
- User Defined Attributes (UDA)
- Process owner role
- Process definition identifier
- Process definition state
- Process definition version
- Timers
- Init Java Action Set
- Commit Java Action Set
- Process owner role Java Action Set
- Forms
- Prologue and epilogue Java Action Sets defined for nodes

See Also:
  `Plan`, `Node`, `Arrow`, `DataItemRef`

Field Summary
`static long` | `MAX_PLAN_SIZE` The maximum amount of memory requirements in bytes allowed for a process definition.

Constructor Summary
`PlanSizeCalculator(WFSession doNotUse)` Deprecated.

Method Summary
`static long` | `sizeOfPlan(Plan plan)` Returns the calculated size of the entire process definition structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_PLAN_SIZE

    public static final long MAX_PLAN_SIZE

  The maximum amount of memory requirements in bytes allowed for a process definition. Currently set to 512 * 1024.

  See Also:
    Constant Field Values

Constructor Detail

### PlanSizeCalculator

    public PlanSizeCalculator(WFSession doNotUse)

  Deprecated.

  Constructs a new `PlanSizeCalculator` object.

Method Detail

### sizeOfPlan

    public static long sizeOfPlan(Plan plan)
                           throws ModelException

  Returns the calculated size of the entire process definition structure.

  Parameters:
    `plan` - The process definition for which the size is calculated.
  Returns:
    The size of the supplied process definition (in bytes)
  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD